package util

import (
	"sync"
	"time"
)

// 函数名为 ContainsKey，参数为一个 map 和一个 key
func ContainsKey2(m map[string]time.Time, key string) bool {
	// 通过 map[key] 来访问 map 中的值
	// 如果 map[key] 返回的值存在，则表示该 key 存在于 map 中，返回 true
	// 如果 map[key] 返回的值不存在，则表示该 key 不存在于 map 中，返回 false
	_, exists := m[key]
	return exists
}

func ContainsKey(m *sync.Map, key string) bool {
	_, found := m.Load(key)
	return found
}
